Bug 790074 - CLI doesn't support arguments with spaces
CLI doesn't support arguments with spaces
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.3
Unspecified Unspecified
urgent Severity urgent (vote)
: ---
: JON 3.0.1
Assigned To: Lukas Krejci
Mike Foley
:
Depends On: 754968
Blocks: jon3
  Show dependency treegraph
 
Reported: 2012-02-13 10:46 EST by Charles Crouch
Modified: 2015-02-01 18:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 754968
Environment:
Last Closed: 2013-09-03 11:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-02-13 10:46:02 EST
+++ This bug was initially created as a clone of Bug #754968 +++

Description of problem:
CLI is not able to accept arguments containing spaces.

rhq-cli.sh -f script.js "arg with spaces"

will be interpreted as if 3 arguments were passed to the script.

How reproducible:
always

Steps to Reproduce:
1. create script called argcnt.js with a single line "println(args.length);"
2. execute the RHQ CLI with the script and an argument "arg with spaces"
  
Actual results:
the script outputs "3"

Expected results:
"1"

--- Additional comment from lkrejci@redhat.com on 2011-11-18 10:10:31 EST ---

commit 6dac40e6a8caf01a9ad7d06fde5a511eac545569
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri Nov 18 16:08:13 2011 +0100

    [BZ 754968] - making quoted arguments work with CLI on *nix.
    Windows startup script surprisingly seems to support this ok.

--- Additional comment from mfoley@redhat.com on 2011-11-22 11:40:39 EST ---

verified.

[mfoley@foleymonsterbox1 bin]$ ./rhq-cli.sh -f ../argcnt.js "arg with spaces"
1
[mfoley@foleymonsterbox1 bin]$
Comment 2 Simeon Pinder 2012-02-17 00:29:39 EST
Moving to ON_QA for testing with JON 3.0.1.GA RC5 or better:
https://brewweb.devel.redhat.com//buildinfo?buildID=199114
Comment 3 Sunil Kondkar 2012-02-17 05:33:30 EST
Verified on JON 3.0.1.GA RC5 (Build Number: dd8a001:fbca611)

[root@suniltest bin]# ./rhq-cli.sh -f ../argcnt.js "arg with spaces"
1
Comment 4 Heiko W. Rupp 2013-09-03 11:10:35 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.